Get a meeting
curl --request GET \
--url https://api.cura.inc/meetings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cura.inc/meetings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cura.inc/meetings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"attributes": {
"company_id": "<string>",
"title": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"attendees": [
{
"email": "jsmith@example.com",
"organizer": true,
"name": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
},
"notes": [
{
"id": "<string>",
"attributes": {
"meeting_id": "<string>",
"type": "granola",
"notes": "<string>",
"transcript": {
"segments": [
{
"text": "<string>",
"speaker": "<string>",
"startTime": 123,
"endTime": 123
}
]
},
"synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Meetings
Get a meeting
Returns a single meeting. Pass ?include=notes to attach the meeting’s notes (and transcripts) as a notes sibling of attributes.
GET
/
meetings
/
{id}
Get a meeting
Authorizations
Your workspace API key (cura_…), sent as Authorization: Bearer <key>.
Path Parameters
Meeting id.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Query Parameters
Set to notes to include the meeting's notes (and transcripts).
Available options:
notes Response
The meeting.
Show child attributes
Show child attributes
Was this page helpful?
⌘I